Subject: Re: bug#71518: 30.0.50; Errors during redisplay with c++-ts-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Jun 2024 19:56:34 +0300

> From: Vincenzo Pupillo <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sat, 22 Jun 2024 18:14:54 +0200
> 
> > > fortunately, this time it was easier than usual!
> > 
> > Thanks, but this change will _require_ the new version of the grammar
> > library, right?  I think we usually fix these problems in a way that
> > both the old and the new versions are supported, because people could
> > have different versions installed.
> 
> In the tests I have done, it works with both the new and the old grammar.
> 
> > 
> > Could you please amend the fix along these lines?
> Okay, done. Can this be okay? 

Hmm... I still see an error message in *Messages* after installing
this (I have grammar library version 0.22.2):

  Error during redisplay: (jit-lock-function 1) signaled (treesit-query-error "Node type error at" 2 "(virtual) @font-lock-keyword-face [\"auto\" \"_Atomic\" \"break\" \"case\" \"const\" \"continue\" \"default\" \"do\" \"else\" \"enum\" \"extern\" \"for\" \"goto\" \"if\" \"inline\" \"register\" \"restrict\" \"return\" \"sizeof\" \"static\" \"struct\" \"switch\" \"typedef\" \"union\" \"volatile\" \"while\"] @font-lock-keyword-face" "Debug the query with `treesit-query-validate'")

Any ideas or suggestions?  "virtual" is highlighted, though, so I
guess this is a matter of suppressing the errors or something?

Thanks.